## org.eclipse.datatools.modelbase.sql.schema.impl
Class EventImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.EventImpl

All Implemented Interfaces:
  Event, SQLObject

public class EventImpl
extends SQLObjectImpl
implements Event

An implementation of the model object 'Event'.

The following features are implemented:

- `For`
- `Condition`
- `Action`
- `Enabled`
- `Database`

See Also:
  Serialized Form

Method Summary
`Database` `basicGetDatabase()`
`NotificationChain` `basicSetDatabase(Database newDatabase, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getAction()`
`java.lang.String` `getCondition()`
`Database` `getDatabase()`
`java.lang.String` `getFor()`
`boolean` `isEnabled()`
`void` `setAction(java.lang.String newAction)`
`void` `setCondition(java.lang.String newCondition)`
`void` `setDatabase(Database newDatabase)`
`void` `setEnabled(boolean newEnabled)`
`void` `setFor(java.lang.String newFor)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getFor

    public java.lang.String getFor()

  Specified by:
    `getFor` in interface `Event`
  Returns:
    the value of the 'For' attribute.
  See Also:
    `Event.setFor(String)`, `SQLSchemaPackage.getEvent_For()`

### setFor

    public void setFor(java.lang.String newFor)

  Specified by:
    `setFor` in interface `Event`
  Parameters:
    `newFor` - the new value of the 'For' attribute.
  See Also:
    `Event.getFor()`

### getCondition

    public java.lang.String getCondition()

  Specified by:
    `getCondition` in interface `Event`
  Returns:
    the value of the 'Condition' attribute.
  See Also:
    `Event.setCondition(String)`, `SQLSchemaPackage.getEvent_Condition()`

### setCondition

    public void setCondition(java.lang.String newCondition)

  Specified by:
    `setCondition` in interface `Event`
  Parameters:
    `newCondition` - the new value of the 'Condition' attribute.
  See Also:
    `Event.getCondition()`

### getAction

    public java.lang.String getAction()

  Specified by:
    `getAction` in interface `Event`
  Returns:
    the value of the 'Action' attribute.
  See Also:
    `Event.setAction(String)`, `SQLSchemaPackage.getEvent_Action()`

### setAction

    public void setAction(java.lang.String newAction)

  Specified by:
    `setAction` in interface `Event`
  Parameters:
    `newAction` - the new value of the 'Action' attribute.
  See Also:
    `Event.getAction()`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `Event`
  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `Event.setEnabled(boolean)`, `SQLSchemaPackage.getEvent_Enabled()`

### setEnabled

    public void setEnabled(boolean newEnabled)

  Specified by:
    `setEnabled` in interface `Event`
  Parameters:
    `newEnabled` - the new value of the 'Enabled' attribute.
  See Also:
    `Event.isEnabled()`

### getDatabase

    public Database getDatabase()

  Specified by:
    `getDatabase` in interface `Event`
  Returns:
    the value of the 'Database' reference.
  See Also:
    `Event.setDatabase(Database)`, `SQLSchemaPackage.getEvent_Database()`, `Database.getEvents()`

### basicGetDatabase

    public Database basicGetDatabase()

### basicSetDatabase

    public NotificationChain basicSetDatabase(Database newDatabase,
                                              NotificationChain msgs)

### setDatabase

    public void setDatabase(Database newDatabase)

  Specified by:
    `setDatabase` in interface `Event`
  Parameters:
    `newDatabase` - the new value of the 'Database' reference.
  See Also:
    `Event.getDatabase()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.